package de.mrbesen.telegram.event.events;

import de.mrbesen.telegram.objects.JSONBased;
import de.mrbesen.telegram.objects.TMessage;
import de.mrbesen.telegram.objects.TPhotoSize;
import lombok.Getter;
import org.json.JSONArray;
import org.json.JSONObject;

public class UserSendPhotoEvent extends MessageEvent {

	@Getter
	private TPhotoSize[] photos;

	public UserSendPhotoEvent(TMessage msg) {
		super(msg);

		JSONArray pics = msg.get(JSONBased.Member.photo);
		photos = new TPhotoSize[pics.length()];
		for (int i = 0; i < pics.length(); i++) {
			JSONObject pic = pics.getJSONObject(i);
			photos[i] = new TPhotoSize(pic);
		}
	}
}
