package de.mrbesen.telegram.objects;

import lombok.Getter;
import org.json.JSONObject;

public class TSendable extends JSONBased {

	@Getter
	protected String file_id;
	@Getter
	protected int file_size;
	
	public void set(Member mem, Object value) {
		if(isAllowed(mem)) {
			if(value instanceof Integer)
				base_json.put(mem.name(), (int) value);
			else if(value instanceof Boolean)
				base_json.put(mem.name(), (boolean) value);
			else
				base_json.put(mem.name(), value);
		} else {
			throw new UnallowedMemberException(mem, this);
		}
	}
	
	public TSendable(JSONObject o) {
		super(o);
		file_id = o.getString("file_id");
		file_size = o.optInt("file_size", -1);
	}
}
